"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFileContent = exports.createTestRunner = exports.createWorkspace = exports.VERSION = void 0;
const tslib_1 = require("tslib");
const path_1 = require("path");
const testing_1 = require("@angular-devkit/schematics/testing");
const collectionPath = (0, path_1.join)(__dirname, '../../schematics.json');
exports.VERSION = require('@angular/core/package.json').version;
function createWorkspace(testRunner, appTree, workspaceOptions, appOptions) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        appTree = yield testRunner.runExternalSchematic('@schematics/angular', 'workspace', workspaceOptions);
        appTree = yield testRunner.runExternalSchematic('@schematics/angular', 'application', appOptions, appTree);
        return appTree;
    });
}
exports.createWorkspace = createWorkspace;
function createTestRunner() {
    return new testing_1.SchematicTestRunner('single-spa-angular', collectionPath);
}
exports.createTestRunner = createTestRunner;
function getFileContent(tree, path) {
    const fileEntry = tree.get(path);
    if (!fileEntry) {
        throw new Error(`The file (${path}) does not exist.`);
    }
    return fileEntry.content.toString();
}
exports.getFileContent = getFileContent;
//# sourceMappingURL=utils.js.map