import { NgModuleRef, Type, NgZone, ApplicationRef } from '@angular/core';
import { AppProps } from 'single-spa';
import { BaseSingleSpaAngularOptions } from 'single-spa-angular/internals';
export interface SingleSpaAngularOptions<T = Record<string, unknown>> extends BaseSingleSpaAngularOptions {
    NgZone: typeof NgZone | 'noop';
    updateFunction?(props: AppProps): Promise<any>;
    Router?: Type<any>;
    NavigationStart?: Type<any>;
    bootstrapFunction(props: AppProps & T): Promise<NgModuleRef<any> | ApplicationRef>;
}
export interface BootstrappedSingleSpaAngularOptions extends SingleSpaAngularOptions {
    bootstrappedNgModuleRefOrAppRef: NgModuleRef<any> | ApplicationRef | null;
    bootstrappedNgZone?: NgZone;
    routingEventListener?: () => void;
    zoneIdentifier?: string;
}
